; Sketchy Example Program
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the Sketchy distribution
; for conditions of use.

; ---name---
; explode

; ---conformance---
; R5RS

; ---purpose---
; Explode a symbol into single-char symbols.

; ---args---
; X - symbol

; ---keywords---
; EXPLODE function, symbol, decomposition

; ---example---
; (explode 'hello) => (h e l l o)

;require lib/string.l
;require lib/map.l

; ---code---
(define (explode x)
  (map (lambda (x)
         (string->symbol (string x)))
    (string->list (symbol->string x))))

